From ee30e3f0ed42448ae2e433ee2b6cbf8ce978d433 Mon Sep 17 00:00:00 2001
From: Tails developers <amnesia@boum.org>
Date: Thu, 16 Aug 2012 02:29:04 +0200
Subject: [PATCH 6/8] Test memory wipe with memtest86+

---
 config/chroot_local-includes/etc/default/kexec                |    5 +----
 .../chroot_local-includes/etc/init.d/tails-reconfigure-kexec  |    9 ++-------
 config/chroot_local-includes/lib/memwipe                      |  Bin 0 -> 166144 bytes
 3 files changed, 3 insertions(+), 11 deletions(-)
 create mode 100755 config/chroot_local-includes/lib/memwipe

diff --git a/config/chroot_local-includes/etc/default/kexec b/config/chroot_local-includes/etc/default/kexec
index 504b21e..1042ec5 100644
--- a/config/chroot_local-includes/etc/default/kexec
+++ b/config/chroot_local-includes/etc/default/kexec
@@ -5,10 +5,7 @@
 LOAD_KEXEC=true
 
 # Kernel and initrd image
-# Unused: tails-reconfigure-kexec appends the correct values to this file
-#         at boot time.
-KERNEL_IMAGE=/vmlinux
-INITRD=/initrd.img
+KERNEL_IMAGE=/lib/memwipe
 
 # If empty, use current /proc/cmdline
 APPEND="quiet"
diff --git a/config/chroot_local-includes/etc/init.d/tails-reconfigure-kexec b/config/chroot_local-includes/etc/init.d/tails-reconfigure-kexec
index f612731..c8eff92 100755
--- a/config/chroot_local-includes/etc/init.d/tails-reconfigure-kexec
+++ b/config/chroot_local-includes/etc/init.d/tails-reconfigure-kexec
@@ -14,13 +14,8 @@ KEXEC_CONF=/etc/default/kexec
 
 case "$1" in
   start)
-	KERNEL_IMAGE=$(tails-boot-to-kexec kernel $(tails-get-bootinfo kernel))
-	INITRD=$(tails-boot-to-kexec initrd $(tails-get-bootinfo initrd))
-	echo "KERNEL_IMAGE=\"${KERNEL_IMAGE}\""   >> "$KEXEC_CONF"
-	echo "INITRD=\"${INITRD}\""               >> "$KEXEC_CONF"
-	if grep -qw debug=wipemem /proc/cmdline; then
-	   echo 'APPEND="${APPEND} sdmemdebug=1"' >> "$KEXEC_CONF"
-	fi
+	#XXX: do nothing
+	exit 0
 	;;
   *)
 	echo "Usage: $0 start" >&2
diff --git a/config/chroot_local-includes/lib/memwipe b/config/chroot_local-includes/lib/memwipe
new file mode 100755
index 0000000000000000000000000000000000000000..540785dcf871177c28b0f3cfcbe1c197c5adf561
GIT binary patch
-- 
1.7.10.4