>From abf7e09d14f3ebd441d865f66424cb18a75e2976 Mon Sep 17 00:00:00 2001
From: Tails developers <amnesia@boum.org>
Date: Sun, 6 Apr 2014 19:05:27 +0200
Subject: [PATCH] (doc) removed gpgapplet outdated paragraph

---
 .../gpgapplet/decrypt_verify.de.po                 |   22 ++++---------------
 .../gpgapplet/decrypt_verify.fr.po                 |   23 ++++----------------
 .../gpgapplet/decrypt_verify.mdwn                  |   10 ++-------
 .../gpgapplet/decrypt_verify.pt.po                 |   14 ++----------
 4 files changed, 12 insertions(+), 57 deletions(-)

diff --git a/wiki/src/doc/encryption_and_privacy/gpgapplet/decrypt_verify.de.po b/wiki/src/doc/encryption_and_privacy/gpgapplet/decrypt_verify.de.po
index 2b70fd2..a6978d5 100644
--- a/wiki/src/doc/encryption_and_privacy/gpgapplet/decrypt_verify.de.po
+++ b/wiki/src/doc/encryption_and_privacy/gpgapplet/decrypt_verify.de.po
@@ -129,11 +129,11 @@ msgstr ""
 #. type: Plain text
 #, no-wrap
 msgid ""
-"   If the text is encrypted using public-key cryptography, three different\n"
+"   If the text is encrypted using public-key cryptography, two different\n"
 "   dialog boxes can appear.\n"
 msgstr ""
 "   Ist der Text mit einem öffentlichen Schlüssel\n"
-"   verschlüsselt worden, können drei verschiedene Dialoge angezeigt werden.\n"
+"   verschlüsselt worden, können zwei verschiedene Dialoge angezeigt werden.\n"
 
 #. type: Plain text
 #, no-wrap
@@ -153,25 +153,11 @@ msgstr ""
 #. type: Plain text
 #, no-wrap
 msgid ""
-"   b. If the passphrase for the corresponding secret key is already cached in\n"
-"   memory, a dialog box appears with the following message: <span\n"
-"   class=\"guilabel\">The passphrase is cached in memory</span>. Click on the\n"
-"   <span class=\"guilabel\">Authorize</span> button to use the passphrase\n"
-"   cached in memory.\n"
-msgstr ""
-"   b. Ist die Passphrase zu einem Schlüssel bereits zwischengespeichert, erscheint ein\n"
-"   Dialog mit der Nachricht: <span class=\"guilabel\">The passphrase is cached in memory</span>.\n"
-"   Klicken Sie auf <span class=\"guilabel\">Authorize</span> um die zwischengespeicherte\n"
-"   Passphrase zu verwenden.\n"
-
-#. type: Plain text
-#, no-wrap
-msgid ""
-"   c. If no secret key for which the text is encrypted is available in\n"
+"   b. If no secret key for which the text is encrypted is available in\n"
 "   your keyring, a GnuPG error message appears that mentions <span\n"
 "   class=\"guilabel\">decryption failed: secret key not available</span>.\n"
 msgstr ""
-"   c. Falls sich kein zum verschlüsselten Text passender geheimer Schlüssel\n"
+"   b. Falls sich kein zum verschlüsselten Text passender geheimer Schlüssel\n"
 "   im Schlüsselbund befindet, wird die GnuPG Fehlermeldung <span\n"
 "   class=\"guilabel\">Entschlüsselung fehlgeschlagen: Geheimer Schlüssel ist\n"
 "   nicht vorhanden</span> angezeigt.\n"
diff --git a/wiki/src/doc/encryption_and_privacy/gpgapplet/decrypt_verify.fr.po b/wiki/src/doc/encryption_and_privacy/gpgapplet/decrypt_verify.fr.po
index b9f7782..2f9e436 100644
--- a/wiki/src/doc/encryption_and_privacy/gpgapplet/decrypt_verify.fr.po
+++ b/wiki/src/doc/encryption_and_privacy/gpgapplet/decrypt_verify.fr.po
@@ -145,10 +145,10 @@ msgstr ""
 #. type: Plain text
 #, no-wrap
 msgid ""
-"   If the text is encrypted using public-key cryptography, three different\n"
+"   If the text is encrypted using public-key cryptography, two different\n"
 "   dialog boxes can appear.\n"
 msgstr ""
-"   Si le texte a été chiffré avec une clé publique, trois boîtes de\n"
+"   Si le texte a été chiffré avec une clé publique, deux boîtes de\n"
 "   dialogue différentes peuvent apparaître.\n"
 
 #. type: Plain text
@@ -169,26 +169,11 @@ msgstr ""
 #. type: Plain text
 #, no-wrap
 msgid ""
-"   b. If the passphrase for the corresponding secret key is already cached in\n"
-"   memory, a dialog box appears with the following message: <span\n"
-"   class=\"guilabel\">The passphrase is cached in memory</span>. Click on the\n"
-"   <span class=\"guilabel\">Authorize</span> button to use the passphrase\n"
-"   cached in memory.\n"
-msgstr ""
-"   b. Si la phrase de passe pour la clé privée correspondante est déjà stockée\n"
-"   en mémoire, une boîte de dialogue apparaît avec le message suivant : <span\n"
-"   class=\"guilabel\">La phrase de passe est présente en mémoire cache</span>.\n"
-"   Cliquez sur le bouton <span class=\"guilabel\">Autoriser</span> pour utiliser la\n"
-"   phrase de passe stockée en mémoire.\n"
-
-#. type: Plain text
-#, no-wrap
-msgid ""
-"   c. If no secret key for which the text is encrypted is available in\n"
+"   b. If no secret key for which the text is encrypted is available in\n"
 "   your keyring, a GnuPG error message appears that mentions <span\n"
 "   class=\"guilabel\">decryption failed: secret key not available</span>.\n"
 msgstr ""
-"   c. Si aucune clé privée pour laquelle le texte est chiffré n'est disponible\n"
+"   b. Si aucune clé privée pour laquelle le texte est chiffré n'est disponible\n"
 "   dans votre trousseau, un message d'erreur GnuPG apparaît, mentionnant <span\n"
 "   class=\"guilabel\">le déchiffrement a échoué: la clé secrète n'est pas disponible</span>.\n"
 
diff --git a/wiki/src/doc/encryption_and_privacy/gpgapplet/decrypt_verify.mdwn b/wiki/src/doc/encryption_and_privacy/gpgapplet/decrypt_verify.mdwn
index 7d54cb6..09db70f 100644
--- a/wiki/src/doc/encryption_and_privacy/gpgapplet/decrypt_verify.mdwn
+++ b/wiki/src/doc/encryption_and_privacy/gpgapplet/decrypt_verify.mdwn
@@ -41,7 +41,7 @@ in step 6 appears directly.
    the passphrase that has been used to encrypt the text and click <span
    class="guilabel">OK</span>.
 
-   If the text is encrypted using public-key cryptography, three different
+   If the text is encrypted using public-key cryptography, two different
    dialog boxes can appear.
 
    a. If the passphrase for the corresponding private key is not already cached
@@ -50,13 +50,7 @@ in step 6 appears directly.
    user</span>. Enter the passphrase for this secret key and click <span
    class="guilabel">OK</span>.
 
-   b. If the passphrase for the corresponding secret key is already cached in
-   memory, a dialog box appears with the following message: <span
-   class="guilabel">The passphrase is cached in memory</span>. Click on the
-   <span class="guilabel">Authorize</span> button to use the passphrase
-   cached in memory.
-
-   c. If no secret key for which the text is encrypted is available in
+   b. If no secret key for which the text is encrypted is available in
    your keyring, a GnuPG error message appears that mentions <span
    class="guilabel">decryption failed: secret key not available</span>.
 
diff --git a/wiki/src/doc/encryption_and_privacy/gpgapplet/decrypt_verify.pt.po b/wiki/src/doc/encryption_and_privacy/gpgapplet/decrypt_verify.pt.po
index 67e758b..27c06dd 100644
--- a/wiki/src/doc/encryption_and_privacy/gpgapplet/decrypt_verify.pt.po
+++ b/wiki/src/doc/encryption_and_privacy/gpgapplet/decrypt_verify.pt.po
@@ -108,7 +108,7 @@ msgstr ""
 #. type: Plain text
 #, no-wrap
 msgid ""
-"   If the text is encrypted using public-key cryptography, three different\n"
+"   If the text is encrypted using public-key cryptography, two different\n"
 "   dialog boxes can appear.\n"
 msgstr ""
 
@@ -125,17 +125,7 @@ msgstr ""
 #. type: Plain text
 #, no-wrap
 msgid ""
-"   b. If the passphrase for the corresponding secret key is already cached in\n"
-"   memory, a dialog box appears with the following message: <span\n"
-"   class=\"guilabel\">The passphrase is cached in memory</span>. Click on the\n"
-"   <span class=\"guilabel\">Authorize</span> button to use the passphrase\n"
-"   cached in memory.\n"
-msgstr ""
-
-#. type: Plain text
-#, no-wrap
-msgid ""
-"   c. If no secret key for which the text is encrypted is available in\n"
+"   b. If no secret key for which the text is encrypted is available in\n"
 "   your keyring, a GnuPG error message appears that mentions <span\n"
 "   class=\"guilabel\">decryption failed: secret key not available</span>.\n"
 msgstr ""
-- 
1.7.10.4