>From 60d8782c75b68561fe54baa1126f1a700aca31f3 Mon Sep 17 00:00:00 2001
From: Tails developers <amnesia@boum.org>
Date: Sun, 6 Apr 2014 22:26:29 +0200
Subject: [PATCH] (doc) correct spelling of KeePassX

---
 .../encryption_and_privacy/manage_passwords.de.po  |   14 +++++-----
 .../encryption_and_privacy/manage_passwords.fr.po  |   28 ++++++++++----------
 .../encryption_and_privacy/manage_passwords.mdwn   |   14 +++++-----
 .../encryption_and_privacy/manage_passwords.pt.po  |   14 +++++-----
 4 files changed, 35 insertions(+), 35 deletions(-)

diff --git a/wiki/src/doc/encryption_and_privacy/manage_passwords.de.po b/wiki/src/doc/encryption_and_privacy/manage_passwords.de.po
index 3df71f0..78befec 100644
--- a/wiki/src/doc/encryption_and_privacy/manage_passwords.de.po
+++ b/wiki/src/doc/encryption_and_privacy/manage_passwords.de.po
@@ -235,7 +235,7 @@ msgstr ""
 
 #. type: Title =
 #, no-wrap
-msgid "Use <span class=\"application\">KeepassX</span> to type a password into <span class=\"application\">Pinentry</span>\n"
+msgid "Use <span class=\"application\">KeePassX</span> to type a password into <span class=\"application\">Pinentry</span>\n"
 msgstr "Verwendung von <span class=\"application\">KeePassX</span> zur Passworteingabe in <span class=\"application\">Pinentry</span>\n"
 
 #. type: Plain text
@@ -262,7 +262,7 @@ msgstr ""
 #, no-wrap
 msgid ""
 "Use the <span class=\"guilabel\">AutoType</span> feature of <span\n"
-"class=\"application\">KeepassX</span> to type a password into a <span\n"
+"class=\"application\">KeePassX</span> to type a password into a <span\n"
 "class=\"application\">Pinentry</span> dialog box.\n"
 msgstr ""
 "Verwenden Sie die <span class=\"guilabel\">Auto-Type</span> Funktion von <span\n"
@@ -273,7 +273,7 @@ msgstr ""
 #, no-wrap
 msgid ""
 "0. Before the <span class=\"application\">Pinentry</span> dialog box\n"
-"appears, [[open <span class=\"application\">KeepassX</span> and unlock the\n"
+"appears, [[open <span class=\"application\">KeePassX</span> and unlock the\n"
 "database|manage_passwords#restore]].\n"
 msgstr ""
 "0. Bevor Ihnen der <span class=\"application\">Pinentry</span> Dialog angezeigt wird,\n"
@@ -296,8 +296,8 @@ msgstr ""
 #. type: Plain text
 #, no-wrap
 msgid ""
-"0. Click on the <span class=\"application\">KeepassX</span> logo in the\n"
-"notification area to switch to <span class=\"application\">KeepassX</span>.\n"
+"0. Click on the <span class=\"application\">KeePassX</span> logo in the\n"
+"notification area to switch to <span class=\"application\">KeePassX</span>.\n"
 "Right-click on the entry from which you want to\n"
 "use the password, and choose <span class=\"guilabel\">Perform\n"
 "AutoType</span>.\n"
@@ -316,8 +316,8 @@ msgstr "<div class=\"note\">\n"
 #, no-wrap
 msgid ""
 "Do not enter a user name in the <span\n"
-"class=\"application\">KeepassX</span> entry, otherwise <span\n"
-"class=\"application\">KeepassX</span> will type it together with the\n"
+"class=\"application\">KeePassX</span> entry, otherwise <span\n"
+"class=\"application\">KeePassX</span> will type it together with the\n"
 "password in the <span class=\"application\">Pinentry</span> dialog box,\n"
 "and the resulting password will be incorrect.\n"
 msgstr ""
diff --git a/wiki/src/doc/encryption_and_privacy/manage_passwords.fr.po b/wiki/src/doc/encryption_and_privacy/manage_passwords.fr.po
index ab959bf..fb94692 100644
--- a/wiki/src/doc/encryption_and_privacy/manage_passwords.fr.po
+++ b/wiki/src/doc/encryption_and_privacy/manage_passwords.fr.po
@@ -242,8 +242,8 @@ msgstr ""
 
 #. type: Title =
 #, no-wrap
-msgid "Use <span class=\"application\">KeepassX</span> to type a password into <span class=\"application\">Pinentry</span>\n"
-msgstr "Utiliser <span class=\"application\">KeepassX</span> pour saisir un mot de passe dans <span class=\"application\">Pinentry</span>\n"
+msgid "Use <span class=\"application\">KeePassX</span> to type a password into <span class=\"application\">Pinentry</span>\n"
+msgstr "Utiliser <span class=\"application\">KeePassX</span> pour saisir un mot de passe dans <span class=\"application\">Pinentry</span>\n"
 
 #. type: Plain text
 #, no-wrap
@@ -270,22 +270,22 @@ msgstr ""
 #, no-wrap
 msgid ""
 "Use the <span class=\"guilabel\">AutoType</span> feature of <span\n"
-"class=\"application\">KeepassX</span> to type a password into a <span\n"
+"class=\"application\">KeePassX</span> to type a password into a <span\n"
 "class=\"application\">Pinentry</span> dialog box.\n"
 msgstr ""
 "Utiliser la fonction <span class=\"guilabel\">Saisie Automatique</span> de\n"
-"<span class=\"application\">KeepassX</span> pour saisir un mot de passe\n"
+"<span class=\"application\">KeePassX</span> pour saisir un mot de passe\n"
 "dans une boîte de dialogue <span class=\"application\">Pinentry</span>.\n"
 
 #. type: Plain text
 #, no-wrap
 msgid ""
 "0. Before the <span class=\"application\">Pinentry</span> dialog box\n"
-"appears, [[open <span class=\"application\">KeepassX</span> and unlock the\n"
+"appears, [[open <span class=\"application\">KeePassX</span> and unlock the\n"
 "database|manage_passwords#restore]].\n"
 msgstr ""
 "0. Avant que la boîte de dialogue <span class=\"application\">Pinentry</span>\n"
-"n'apparaisse, [[ouvrir <span class=\"application\">KeepassX</span> et débloquer\n"
+"n'apparaisse, [[ouvrir <span class=\"application\">KeePassX</span> et débloquer\n"
 "la base de donnée|manage_passwords#restore]].\n"
 
 #. type: Plain text
@@ -304,14 +304,14 @@ msgstr ""
 #. type: Plain text
 #, no-wrap
 msgid ""
-"0. Click on the <span class=\"application\">KeepassX</span> logo in the\n"
-"notification area to switch to <span class=\"application\">KeepassX</span>.\n"
+"0. Click on the <span class=\"application\">KeePassX</span> logo in the\n"
+"notification area to switch to <span class=\"application\">KeePassX</span>.\n"
 "Right-click on the entry from which you want to\n"
 "use the password, and choose <span class=\"guilabel\">Perform\n"
 "AutoType</span>.\n"
 msgstr ""
-"0. Cliquer sur le logo de <span class=\"application\">KeepassX</span> dans la\n"
-"zone de notification pour passer à <span class=\"application\">KeepassX</span>.\n"
+"0. Cliquer sur le logo de <span class=\"application\">KeePassX</span> dans la\n"
+"zone de notification pour passer à <span class=\"application\">KeePassX</span>.\n"
 "Faire clique-droit sur l'entrée dont vous voulez utiliser le\n"
 "mot de passe et choisir <span class=\"guilabel\">Exécuter la\n"
 "Saisie Automatique</span>.\n"
@@ -325,14 +325,14 @@ msgstr "<div class=\"note\">\n"
 #, no-wrap
 msgid ""
 "Do not enter a user name in the <span\n"
-"class=\"application\">KeepassX</span> entry, otherwise <span\n"
-"class=\"application\">KeepassX</span> will type it together with the\n"
+"class=\"application\">KeePassX</span> entry, otherwise <span\n"
+"class=\"application\">KeePassX</span> will type it together with the\n"
 "password in the <span class=\"application\">Pinentry</span> dialog box,\n"
 "and the resulting password will be incorrect.\n"
 msgstr ""
 "Ne rentrez pas de nom d'utilisateur dans l'entrée <span\n"
-"class=\"application\">KeepassX</span>, sinon <span\n"
-"class=\"application\">KeepassX</span> le saisira avec le mot\n"
+"class=\"application\">KeePassX</span>, sinon <span\n"
+"class=\"application\">KeePassX</span> le saisira avec le mot\n"
 "de passe dans la boîte de dialogue <span class=\"application\">Pinentry</span>,\n"
 "et le mot de passe résultant sera incorrecte.\n"
 
diff --git a/wiki/src/doc/encryption_and_privacy/manage_passwords.mdwn b/wiki/src/doc/encryption_and_privacy/manage_passwords.mdwn
index 5fc578c..9289352 100644
--- a/wiki/src/doc/encryption_and_privacy/manage_passwords.mdwn
+++ b/wiki/src/doc/encryption_and_privacy/manage_passwords.mdwn
@@ -98,7 +98,7 @@ guide, choose
 <span class="guimenu">Help</span>&nbsp;▸
 <span class="guimenuitem">KeePassX Handbook</span></span>.
 
-Use <span class="application">KeepassX</span> to type a password into <span class="application">Pinentry</span>
+Use <span class="application">KeePassX</span> to type a password into <span class="application">Pinentry</span>
 ===============================================================================================================
 
 When using <span class="application">OpenPGP</span> with <span
@@ -111,11 +111,11 @@ data in the clipboard could be accessed by another application against
 your will.
 
 Use the <span class="guilabel">AutoType</span> feature of <span
-class="application">KeepassX</span> to type a password into a <span
+class="application">KeePassX</span> to type a password into a <span
 class="application">Pinentry</span> dialog box.
 
 0. Before the <span class="application">Pinentry</span> dialog box
-appears, [[open <span class="application">KeepassX</span> and unlock the
+appears, [[open <span class="application">KeePassX</span> and unlock the
 database|manage_passwords#restore]].
 
 0. Use <span class="application">OpenPGP</span> with <span
@@ -123,8 +123,8 @@ class="application">Claws Mail</span> or <span class="application">GPG
 Applet</span> until the <span class="application">Pinentry</span> dialog
 box appears.
 
-0. Click on the <span class="application">KeepassX</span> logo in the
-notification area to switch to <span class="application">KeepassX</span>.
+0. Click on the <span class="application">KeePassX</span> logo in the
+notification area to switch to <span class="application">KeePassX</span>.
 Right-click on the entry from which you want to
 use the password, and choose <span class="guilabel">Perform
 AutoType</span>.
@@ -132,8 +132,8 @@ AutoType</span>.
 <div class="note">
 
 Do not enter a user name in the <span
-class="application">KeepassX</span> entry, otherwise <span
-class="application">KeepassX</span> will type it together with the
+class="application">KeePassX</span> entry, otherwise <span
+class="application">KeePassX</span> will type it together with the
 password in the <span class="application">Pinentry</span> dialog box,
 and the resulting password will be incorrect.
 
diff --git a/wiki/src/doc/encryption_and_privacy/manage_passwords.pt.po b/wiki/src/doc/encryption_and_privacy/manage_passwords.pt.po
index bb38e81..710278f 100644
--- a/wiki/src/doc/encryption_and_privacy/manage_passwords.pt.po
+++ b/wiki/src/doc/encryption_and_privacy/manage_passwords.pt.po
@@ -185,7 +185,7 @@ msgstr ""
 
 #. type: Title =
 #, no-wrap
-msgid "Use <span class=\"application\">KeepassX</span> to type a password into <span class=\"application\">Pinentry</span>\n"
+msgid "Use <span class=\"application\">KeePassX</span> to type a password into <span class=\"application\">Pinentry</span>\n"
 msgstr ""
 
 #. type: Plain text
@@ -205,7 +205,7 @@ msgstr ""
 #, no-wrap
 msgid ""
 "Use the <span class=\"guilabel\">AutoType</span> feature of <span\n"
-"class=\"application\">KeepassX</span> to type a password into a <span\n"
+"class=\"application\">KeePassX</span> to type a password into a <span\n"
 "class=\"application\">Pinentry</span> dialog box.\n"
 msgstr ""
 
@@ -213,7 +213,7 @@ msgstr ""
 #, no-wrap
 msgid ""
 "0. Before the <span class=\"application\">Pinentry</span> dialog box\n"
-"appears, [[open <span class=\"application\">KeepassX</span> and unlock the\n"
+"appears, [[open <span class=\"application\">KeePassX</span> and unlock the\n"
 "database|manage_passwords#restore]].\n"
 msgstr ""
 
@@ -229,8 +229,8 @@ msgstr ""
 #. type: Plain text
 #, no-wrap
 msgid ""
-"0. Click on the <span class=\"application\">KeepassX</span> logo in the\n"
-"notification area to switch to <span class=\"application\">KeepassX</span>.\n"
+"0. Click on the <span class=\"application\">KeePassX</span> logo in the\n"
+"notification area to switch to <span class=\"application\">KeePassX</span>.\n"
 "Right-click on the entry from which you want to\n"
 "use the password, and choose <span class=\"guilabel\">Perform\n"
 "AutoType</span>.\n"
@@ -245,8 +245,8 @@ msgstr ""
 #, no-wrap
 msgid ""
 "Do not enter a user name in the <span\n"
-"class=\"application\">KeepassX</span> entry, otherwise <span\n"
-"class=\"application\">KeepassX</span> will type it together with the\n"
+"class=\"application\">KeePassX</span> entry, otherwise <span\n"
+"class=\"application\">KeePassX</span> will type it together with the\n"
 "password in the <span class=\"application\">Pinentry</span> dialog box,\n"
 "and the resulting password will be incorrect.\n"
 msgstr ""
-- 
1.7.10.4