From 24511e5de08a7d85698fb3094f601ec286158f58 Mon Sep 17 00:00:00 2001
From: Kill Your TV <killyourtv@i2pmail.org>
Date: Sun, 3 Aug 2014 00:20:09 +0000
Subject: [PATCH] remove expired indymedia & jabber.ccc.de certificates

Reported by @scott_ainslie on twitter
---
 .../certificates/x509/tls_peers/irc.indymedia.org  | 38 ----------------------
 .../certificates/x509/tls_peers/jabber.ccc.de      | 31 ------------------
 2 files changed, 69 deletions(-)
 delete mode 100644 config/chroot_local-includes/etc/skel/.purple/certificates/x509/tls_peers/irc.indymedia.org
 delete mode 100644 config/chroot_local-includes/etc/skel/.purple/certificates/x509/tls_peers/jabber.ccc.de

diff --git a/config/chroot_local-includes/etc/skel/.purple/certificates/x509/tls_peers/irc.indymedia.org b/config/chroot_local-includes/etc/skel/.purple/certificates/x509/tls_peers/irc.indymedia.org
deleted file mode 100644
index 988a67b..0000000
--- a/config/chroot_local-includes/etc/skel/.purple/certificates/x509/tls_peers/irc.indymedia.org
+++ /dev/null
@@ -1,38 +0,0 @@
------BEGIN CERTIFICATE-----
-MIIGtTCCBJ2gAwIBAgIDBUGbMA0GCSqGSIb3DQEBBQUAMHkxEDAOBgNVBAoTB1Jv
-b3QgQ0ExHjAcBgNVBAsTFWh0dHA6Ly93d3cuY2FjZXJ0Lm9yZzEiMCAGA1UEAxMZ
-Q0EgQ2VydCBTaWduaW5nIEF1dGhvcml0eTEhMB8GCSqGSIb3DQEJARYSc3VwcG9y
-dEBjYWNlcnQub3JnMB4XDTA4MDUyNzE5NTQ1MVoXDTEwMDUyNzE5NTQ1MVowHDEa
-MBgGA1UEAxMRaXJjLmluZHltZWRpYS5vcmcwggEiMA0GCSqGSIb3DQEBAQUAA4IB
-DwAwggEKAoIBAQCrrFii8UQQ3lze7R4OollKPCKxM6wrwTj33wRpiR7whw4qb7u1
-H/3lGCsBl25t94IWYgCEILyCdi2LMhXibqSV9/UFoNuBuXZV9kefUDpJ2uO4uKgH
-NX5JxSM1pJoxNjS1MbrPZrRHqn7BS0zqRVpj63LH6xYH0bRixVpRxXIgFrPXelkQ
-GFgjO64h0Vv4EptBqB7YbdNbiWwzo9JCNgRYpvD+oT5nvV49xK028eIUUodT+DHZ
-sytW0GsYcf732MgoK8xajmzW3kFIgClDNwzKAgkTbX8MR0eBeiIh5L5OYF//HBPf
-pEDQ+q4aSUiyXY572ZpxO9DuXH+817Lt6S45AgMBAAGjggKhMIICnTAMBgNVHRMB
-Af8EAjAAMDQGA1UdJQQtMCsGCCsGAQUFBwMCBggrBgEFBQcDAQYJYIZIAYb4QgQB
-BgorBgEEAYI3CgMDMAsGA1UdDwQEAwIFoDAzBggrBgEFBQcBAQQnMCUwIwYIKwYB
-BQUHMAGGF2h0dHA6Ly9vY3NwLmNhY2VydC5vcmcvMIICEwYDVR0RBIICCjCCAgaC
-EWlyYy5pbmR5bWVkaWEub3JnoB8GCCsGAQUFBwgFoBMMEWlyYy5pbmR5bWVkaWEu
-b3JnghFpcmMuaW5keW1lZGlhLm9yZ6AfBggrBgEFBQcIBaATDBFpcmMuaW5keW1l
-ZGlhLm9yZ4ISY2hhdC5pbmR5bWVkaWEub3JnoCAGCCsGAQUFBwgFoBQMEmNoYXQu
-aW5keW1lZGlhLm9yZ4IVd2ViY2hhdC5pbmR5bWVkaWEub3JnoCMGCCsGAQUFBwgF
-oBcMFXdlYmNoYXQuaW5keW1lZGlhLm9yZ4IRY2hlLmluZHltZWRpYS5vcmegHwYI
-KwYBBQUHCAWgEwwRY2hlLmluZHltZWRpYS5vcmeCFGd1ZXJpbi5pbmR5bWVkaWEu
-b3JnoCIGCCsGAQUFBwgFoBYMFGd1ZXJpbi5pbmR5bWVkaWEub3JnghV3d3cuaXJj
-LmluZHltZWRpYS5vcmegIwYIKwYBBQUHCAWgFwwVd3d3LmlyYy5pbmR5bWVkaWEu
-b3JnghZ3d3cuY2hhdC5pbmR5bWVkaWEub3JnoCQGCCsGAQUFBwgFoBgMFnd3dy5j
-aGF0LmluZHltZWRpYS5vcmeCGXd3dy53ZWJjaGF0LmluZHltZWRpYS5vcmegJwYI
-KwYBBQUHCAWgGwwZd3d3LndlYmNoYXQuaW5keW1lZGlhLm9yZzANBgkqhkiG9w0B
-AQUFAAOCAgEAAkYXjiDyxvx5CDEGigPzMkJfVd4gYoXDaIznjWsQThl/092CwdE6
-HlAdyw1YEAa67J2on3+6RwLayTwn4XSYVVHSNkWCJo2mZfQM0/0+ipcJguJYPs/c
-lELW/So+j5nhwAxVr6oBFKqwBzxxxeiecJtGqRTvvKmER8Iqp6v92Mbg7cFhk7mj
-NfE8ux/LQO8nspG/sFEy3DCjniUuPd9ck5xD8YFKlmcpUSYyfg34Ws/MFFT3YCo0
-kasrSlUclaAVFin1dtspgVEGYTjeNBXo8Vt7J99OCGRjN8HE012GraJx6JLQAHi5
-WfvwGagrMhJ4RYRWlMlpS6uXt5tDTj1IavuavsegfIXbS7fX490MWcHnqyRRD5Xp
-1iE8dI0eDunx/1NqJ/1eyjLPAUrv89uG/DJGkuok80Df1DURk1zq6Pvgdlz4uL0W
-skrPN9LX9HXnr9/qgXjiB0H2jHcXsDnjQt1pPeNiTlZlGKEdRRvXsryPkP9K9ZOc
-ZyQ7nnAb6f9VAMqxnHrxsY4+yEDJomu6h1sqzADq5+pALX0dgorgArOCjgj+93pf
-85+Nm+QadHq+Z36Z25q+3n/XlBduqipW4gMwAjknHj31bgQ6E0jUfVeO/FvaboXj
-ZRvvE7ZiqcVaihAxc04Pn4g0QLLn2FndhubV9JqdjIwig01r235s3dI=
------END CERTIFICATE-----
diff --git a/config/chroot_local-includes/etc/skel/.purple/certificates/x509/tls_peers/jabber.ccc.de b/config/chroot_local-includes/etc/skel/.purple/certificates/x509/tls_peers/jabber.ccc.de
deleted file mode 100644
index 8a44ce3..0000000
--- a/config/chroot_local-includes/etc/skel/.purple/certificates/x509/tls_peers/jabber.ccc.de
+++ /dev/null
@@ -1,31 +0,0 @@
------BEGIN CERTIFICATE-----
-MIIFXTCCA0WgAwIBAgICUTwwDQYJKoZIhvcNAQEFBQAwVDEUMBIGA1UEChMLQ0Fj
-ZXJ0IEluYy4xHjAcBgNVBAsTFWh0dHA6Ly93d3cuQ0FjZXJ0Lm9yZzEcMBoGA1UE
-AxMTQ0FjZXJ0IENsYXNzIDMgUm9vdDAeFw0wODA1MTYwNjA2NTdaFw0xMDA1MTYw
-NjA2NTdaMIGNMQswCQYDVQQGEwJERTEQMA4GA1UECBMHSGFtYnVyZzEQMA4GA1UE
-BxMHSGFtYnVyZzEhMB8GA1UEChMYQ2hhb3MgQ29tcHV0ZXIgQ2x1YiBlLlYuMRYw
-FAYDVQQDEw1qYWJiZXIuY2NjLmRlMR8wHQYJKoZIhvcNAQkBFhB3ZWJtYXN0ZXJA
-Y2NjLmRlMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAvqkCV2lF/H72
-+SzOIgQiUV78ZII5UaUnU6rJwFtAMlAG0vCvy0fiE5YLuaxKIxa3oKL4Uccylkw/
-gT5kBb42EuOalV/3ZGo6qdTXGJ8BoyPPDzwMS4m88kaScjRh6EzAdu0pWmn3sEFQ
-7HNv854lOFcAMNbZgVoVF/yMrU5E3sxSpCTOanwcPYC6ZA2I7gmrFqoIIWdNY08c
-nz95JM7i6RJvODE95BppqnTFMyBWfvXAtMtE8GF4UzkQ5j9duGgdaEXuJ6D13ZN9
-7/8uQqO+vzzFc4PaYaRwNtjn055KgVCMz/2w2SoHV5og64ZEquRteufbkfTsRzu0
-frsM0syIgQIDAQABo4H+MIH7MAwGA1UdEwEB/wQCMAAwNAYDVR0lBC0wKwYIKwYB
-BQUHAwIGCCsGAQUFBwMBBglghkgBhvhCBAEGCisGAQQBgjcKAwMwCwYDVR0PBAQD
-AgWgMDMGCCsGAQUFBwEBBCcwJTAjBggrBgEFBQcwAYYXaHR0cDovL29jc3AuY2Fj
-ZXJ0Lm9yZy8wcwYDVR0RBGwwaoINamFiYmVyLmNjYy5kZYIVamFiYmVyZC5qYWJi
-ZXIuY2NjLmRlghhjb25mZXJlbmNlLmphYmJlci5jY2MuZGWCFHB1YnN1Yi5qYWJi
-ZXIuY2NjLmRlghJ2anVkLmphYmJlci5jY2MuZGUwDQYJKoZIhvcNAQEFBQADggIB
-ACOu3A5LS7YnoDHXrl1RtJg6zS/xPYeQTCCjnqZVJmejLoV7Ai7aZryasAB3L5WJ
-hAdwOZXbouM9rVZ7Cv6qociMws/OUoigq2qSg1CeL4he6vqXh3RWIANxcukM+vMv
-Nhbm5qSqb29Oa2GXGcRBUlYPVaXZZYvZMpYZr+1EWuMCSdAPB+PF5KfBRx/wFji+
-6fbpuQwLydn3pwWWdyety2hpMbQ1a8aNu22pr02hXIaIy+T32r1N2eI5xi9H0kD+
-bmavV3ChaHvZMqcc9JKrzVWnz0ljx6sTZRCg1czFZ/EF1DA5qt0JCqJlOGdK2D4p
-Bds095JsmBhwdimKJ87JnwnOxwhtoumAXd9abbgF/CgQ+/jz/KF5goBXoFI+WaP4
-SHpIuCV7K/4/U6qdC+yZP+ZI9AupP4SNJh6jOpRWvVWYp7jsQo562sC4Q79i05le
-qY3F2680GsKXy5E7iZipomXObhIObLhEL/fopLiVWZLzpvU9SLd1WKHvuetiEpLk
-ArWqIHqbnPQpHigcFTccG0wEhw3YYc5k3MbdGcxt4C4xow4SWclaOVePOPQyviUj
-PNbwE+nZKGSiMGeOqqmjKwB91nciLOPFSIQx7ZIcioDS+xiAppc5CnQ57GdUnIt1
-ykbaWl3HKOr3tVVUjiZx9J41sCY7oW99lQt2su7UAc/r
------END CERTIFICATE-----
-- 
2.0.1