From a7a5196a2ffa9d1feba82e201eb6a69b24095ee2 Mon Sep 17 00:00:00 2001
From: Tails developers <amnesia@boum.org>
Date: Wed, 19 Nov 2014 15:37:07 +0000
Subject: [PATCH 1/1] Pidgin alert for file transfers

---
 wiki/src/doc/anonymous_internet/pidgin.de.po |   13 ++++++++++++-
 wiki/src/doc/anonymous_internet/pidgin.fr.po |   18 +++++++++++++++++-
 wiki/src/doc/anonymous_internet/pidgin.mdwn  |    7 ++++++-
 wiki/src/doc/anonymous_internet/pidgin.pt.po |   19 ++++++++++++++++++-
 4 files changed, 53 insertions(+), 4 deletions(-)

diff --git a/wiki/src/doc/anonymous_internet/pidgin.de.po b/wiki/src/doc/anonymous_internet/pidgin.de.po
index 6b85a4f..4b66583 100644
--- a/wiki/src/doc/anonymous_internet/pidgin.de.po
+++ b/wiki/src/doc/anonymous_internet/pidgin.de.po
@@ -7,7 +7,7 @@
 msgid ""
 msgstr ""
 "Project-Id-Version: PACKAGE VERSION\n"
-"POT-Creation-Date: 2014-06-03 08:27+0300\n"
+"POT-Creation-Date: 2014-11-19 15:02+0000\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
@@ -134,7 +134,13 @@ msgstr ""
 
 #. type: Plain text
 #, no-wrap
+msgid "<p><strong>OTR only encrypts conversations</strong>, not files transferred through Pidgin.</p>\n"
+msgstr ""
+
+#. type: Plain text
+#, no-wrap
 msgid ""
+"</div>\n"
 "To learn how to use OTR with <span class=\"application\">Pidgin</span>,\n"
 "refer to the documentation from [Security in-a-box: How to Use OTR to\n"
 "Initiate a Secure Messaging Session in\n"
@@ -156,6 +162,11 @@ msgstr ""
 
 #. type: Plain text
 #, no-wrap
+msgid "<div class=\"bug\">\n"
+msgstr ""
+
+#. type: Plain text
+#, no-wrap
 msgid ""
 "In a private OTR conversation over IRC, <strong>a message sent using the\n"
 "<code>/me</code> command is not encrypted</strong>. The person receiving\n"
diff --git a/wiki/src/doc/anonymous_internet/pidgin.fr.po b/wiki/src/doc/anonymous_internet/pidgin.fr.po
index e8ce8d0..9a3897d 100644
--- a/wiki/src/doc/anonymous_internet/pidgin.fr.po
+++ b/wiki/src/doc/anonymous_internet/pidgin.fr.po
@@ -6,7 +6,7 @@
 msgid ""
 msgstr ""
 "Project-Id-Version: PACKAGE VERSION\n"
-"POT-Creation-Date: 2014-06-08 19:38+0300\n"
+"POT-Creation-Date: 2014-11-19 15:02+0000\n"
 "PO-Revision-Date: 2013-08-05 11:04+0200\n"
 "Last-Translator: \n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
@@ -177,7 +177,18 @@ msgstr ""
 
 #. type: Plain text
 #, no-wrap
+msgid "<p><strong>OTR only encrypts conversations</strong>, not files transferred through Pidgin.</p>\n"
+msgstr ""
+
+#. type: Plain text
+#, fuzzy, no-wrap
+#| msgid ""
+#| "To learn how to use OTR with <span class=\"application\">Pidgin</span>,\n"
+#| "refer to the documentation from [Security in-a-box: How to Use OTR to\n"
+#| "Initiate a Secure Messaging Session in\n"
+#| "Pidgin](https://securityinabox.org/en/pidgin_securechat).\n"
 msgid ""
+"</div>\n"
 "To learn how to use OTR with <span class=\"application\">Pidgin</span>,\n"
 "refer to the documentation from [Security in-a-box: How to Use OTR to\n"
 "Initiate a Secure Messaging Session in\n"
@@ -205,6 +216,11 @@ msgstr ""
 
 #. type: Plain text
 #, no-wrap
+msgid "<div class=\"bug\">\n"
+msgstr ""
+
+#. type: Plain text
+#, no-wrap
 msgid ""
 "In a private OTR conversation over IRC, <strong>a message sent using the\n"
 "<code>/me</code> command is not encrypted</strong>. The person receiving\n"
diff --git a/wiki/src/doc/anonymous_internet/pidgin.mdwn b/wiki/src/doc/anonymous_internet/pidgin.mdwn
index b52fb5b..6200592 100644
--- a/wiki/src/doc/anonymous_internet/pidgin.mdwn
+++ b/wiki/src/doc/anonymous_internet/pidgin.mdwn
@@ -65,6 +65,11 @@ not private.</p>
 
 </div>
 
+<div class="caution">
+
+<p><strong>OTR only encrypts conversations</strong>, not files transferred through Pidgin.</p>
+
+</div>
 To learn how to use OTR with <span class="application">Pidgin</span>,
 refer to the documentation from [Security in-a-box: How to Use OTR to
 Initiate a Secure Messaging Session in
@@ -78,7 +83,7 @@ feature|doc/first_steps/persistence/configure/#pidgin]].
 
 </div>
 
-<div class="caution">
+<div class="bug">
 
 In a private OTR conversation over IRC, <strong>a message sent using the
 <code>/me</code> command is not encrypted</strong>. The person receiving
diff --git a/wiki/src/doc/anonymous_internet/pidgin.pt.po b/wiki/src/doc/anonymous_internet/pidgin.pt.po
index c21e682..fb2a14d 100644
--- a/wiki/src/doc/anonymous_internet/pidgin.pt.po
+++ b/wiki/src/doc/anonymous_internet/pidgin.pt.po
@@ -6,7 +6,7 @@
 msgid ""
 msgstr ""
 "Project-Id-Version: PACKAGE VERSION\n"
-"POT-Creation-Date: 2014-09-01 00:03+0300\n"
+"POT-Creation-Date: 2014-11-19 15:02+0000\n"
 "PO-Revision-Date: 2014-08-26 15:45-0300\n"
 "Last-Translator: Tails Developers <amnesia@boum.org>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
@@ -177,7 +177,18 @@ msgstr "</div>\n"
 
 #. type: Plain text
 #, no-wrap
+msgid "<p><strong>OTR only encrypts conversations</strong>, not files transferred through Pidgin.</p>\n"
+msgstr ""
+
+#. type: Plain text
+#, fuzzy, no-wrap
+#| msgid ""
+#| "To learn how to use OTR with <span class=\"application\">Pidgin</span>,\n"
+#| "refer to the documentation from [Security in-a-box: How to Use OTR to\n"
+#| "Initiate a Secure Messaging Session in\n"
+#| "Pidgin](https://securityinabox.org/en/pidgin_securechat).\n"
 msgid ""
+"</div>\n"
 "To learn how to use OTR with <span class=\"application\">Pidgin</span>,\n"
 "refer to the documentation from [Security in-a-box: How to Use OTR to\n"
 "Initiate a Secure Messaging Session in\n"
@@ -205,6 +216,12 @@ msgstr ""
 "<span class=\"guilabel\">Pidgin</span>|doc/first_steps/persistence/configure/#pidgin]].\n"
 
 #. type: Plain text
+#, fuzzy, no-wrap
+#| msgid "<div class=\"tip\">\n"
+msgid "<div class=\"bug\">\n"
+msgstr "<div class=\"tip\">\n"
+
+#. type: Plain text
 #, no-wrap
 msgid ""
 "In a private OTR conversation over IRC, <strong>a message sent using the\n"
-- 
1.7.10.4