From e3a231872f857128da6d8f3b2a096b399cd5c99d Mon Sep 17 00:00:00 2001
From: Naar <naar@tahy.ca>
Date: Tue, 3 Mar 2015 02:56:27 +0000
Subject: [PATCH 2/3] Improve ikiwiki's page.tmpl indentation

---
 wiki/src/templates/page.tmpl | 436 +++++++++++++++++--------------------------
 1 file changed, 172 insertions(+), 264 deletions(-)

diff --git a/wiki/src/templates/page.tmpl b/wiki/src/templates/page.tmpl
index 7c175b8..5aa0922 100644
--- a/wiki/src/templates/page.tmpl
+++ b/wiki/src/templates/page.tmpl
@@ -1,267 +1,175 @@
 <!DOCTYPE html>
 <html xmlns="http://www.w3.org/1999/xhtml">
-<head>
-<TMPL_IF DYNAMIC>
-<TMPL_IF FORCEBASEURL><base href="<TMPL_VAR FORCEBASEURL>" /><TMPL_ELSE>
-<TMPL_IF BASEURL><base href="<TMPL_VAR BASEURL>" /></TMPL_IF>
-</TMPL_IF>
-</TMPL_IF>
-<TMPL_IF HTML5><meta charset="utf-8" /><TMPL_ELSE><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /></TMPL_IF>
-<title>Tails - <TMPL_VAR TITLE></title>
-<TMPL_IF RESPONSIVE_LAYOUT><meta name="viewport" content="width=device-width, initial-scale=1" /></TMPL_IF>
-<TMPL_IF FAVICON>
-<link rel="icon" href="<TMPL_VAR BASEURL><TMPL_VAR FAVICON>" type="image/x-icon" />
-</TMPL_IF>
-<link rel="stylesheet" href="<TMPL_VAR BASEURL>style.css" type="text/css" />
-<TMPL_IF LOCAL_CSS>
-<link rel="stylesheet" href="<TMPL_VAR BASEURL><TMPL_VAR LOCAL_CSS>" type="text/css" />
-<TMPL_ELSE>
-<link rel="stylesheet" href="<TMPL_VAR BASEURL>local.css" type="text/css" />
-</TMPL_IF>
-
-<TMPL_UNLESS DYNAMIC>
-<TMPL_IF EDITURL>
-<link rel="alternate" type="application/x-wiki" title="Edit this page" href="<TMPL_VAR EDITURL>" />
-</TMPL_IF>
-<TMPL_IF FEEDLINKS><TMPL_VAR FEEDLINKS></TMPL_IF>
-<TMPL_IF RELVCS><TMPL_VAR RELVCS></TMPL_IF>
-<TMPL_IF META><TMPL_VAR META></TMPL_IF>
-<TMPL_LOOP TRAILLOOP>
-<TMPL_IF PREVPAGE>
-<link rel="prev" href="<TMPL_VAR PREVURL>" title="<TMPL_VAR PREVTITLE>" />
-</TMPL_IF>
-<link rel="up" href="<TMPL_VAR TRAILURL>" title="<TMPL_VAR TRAILTITLE>" />
-<TMPL_IF NEXTPAGE>
-<link rel="next" href="<TMPL_VAR NEXTURL>" title="<TMPL_VAR NEXTTITLE>" />
-</TMPL_IF>
-</TMPL_LOOP>
-</TMPL_UNLESS>
-
-</head>
-<body>
-
-<div class="banner" role="banner">
-  <a class="tails" href="<TMPL_VAR HOMEPAGEURL>">
-    <span class="acronym">Tails</span><br/>
-    <span class="slogan">The Amnesic Incognito Live System</span>
-  </a>
-</div>
-
-<TMPL_IF HTML5><article class="page"><TMPL_ELSE><div class="page"></TMPL_IF>
-
-<TMPL_IF HTML5><section class="pageheader"><TMPL_ELSE><div class="pageheader"></TMPL_IF>
-<TMPL_IF HTML5><header class="header"><TMPL_ELSE><div class="header"></TMPL_IF>
-<span>
-
-<span class="parentlinks">
-<ul id="crumbs">
-<li><a href="<TMPL_VAR HOMEPAGEURL>"><img src="<TMPL_VAR BASEURL>lib/home.jpeg"></a></li>
-
-<TMPL_LOOP PARENTLINKS>
-<TMPL_IF DEPTH_0>
-<TMPL_ELSE>
-
-<li><a href="<TMPL_VAR URL>"><TMPL_VAR PAGE></a></li>
-
-</TMPL_IF>
-</TMPL_LOOP>
-
-<li><TMPL_VAR TITLE></li>
-
-</ul>
-</span>
-
-
-
-<span class="title">
-<TMPL_VAR TITLE>
-</span>
-</span>
-<TMPL_UNLESS DYNAMIC>
-<TMPL_IF SEARCHFORM>
-<TMPL_VAR SEARCHFORM>
-</TMPL_IF>
-</TMPL_UNLESS>
-<TMPL_IF HTML5></header><TMPL_ELSE></div></TMPL_IF>
-
-<TMPL_IF HAVE_ACTIONS>
-<TMPL_IF HTML5><nav class="actions"><TMPL_ELSE><div class="actions"></TMPL_IF>
-<ul>
-<TMPL_IF EDITURL>
-  <TMPL_IF NAME="ISTRANSLATION">
-  <TMPL_ELSE>
-    <li><a href="<TMPL_VAR EDITURL>" rel="nofollow">Edit</a></li>
-  </TMPL_IF>
-</TMPL_IF>
-<TMPL_IF RECENTCHANGESURL>
-<li><a href="<TMPL_VAR RECENTCHANGESURL>">RecentChanges</a></li>
-</TMPL_IF>
-<TMPL_IF HISTORYURL>
-<li><a href="<TMPL_VAR HISTORYURL>">History</a></li>
-</TMPL_IF>
-<TMPL_IF GETSOURCEURL>
-<li><a href="<TMPL_VAR GETSOURCEURL>">Source</a></li>
-</TMPL_IF>
-<TMPL_IF PREFSURL>
-<li><a href="<TMPL_VAR PREFSURL>">Preferences</a></li>
-</TMPL_IF>
-<TMPL_IF ACTIONS>
-<TMPL_LOOP ACTIONS>
-<li><TMPL_VAR ACTION></li>
-</TMPL_LOOP>
-</TMPL_IF>
-<TMPL_IF COMMENTSLINK>
-<li><TMPL_VAR COMMENTSLINK></li>
-<TMPL_ELSE>
-<TMPL_IF DISCUSSIONLINK>
-<li><TMPL_VAR DISCUSSIONLINK></li>
-</TMPL_IF>
-</TMPL_IF>
-</ul>
-<TMPL_IF HTML5></nav><TMPL_ELSE></div></TMPL_IF>
-</TMPL_IF>
-
-<TMPL_IF OTHERLANGUAGES><TMPL_IF HTML5><nav id="otherlanguages">
-<TMPL_ELSE><div id="otherlanguages"></TMPL_IF>
-
-   <ul>
-
-
-   <TMPL_IF ISTRANSLATABLE>
-   <li class="current master">
-   <span ><TMPL_VAR LANG_NAME>
-   </span>
-   </li>
-
-   <TMPL_ELSE>
-   <li class="current">
-   <span class="visible"><TMPL_VAR LANG_NAME>
-(<TMPL_VAR NAME="PERCENTTRANSLATED">&nbsp;%)
-   </span>
-   <span class="hidden"><TMPL_VAR LANG_NAME>
-(<TMPL_VAR NAME="PERCENTTRANSLATED">&nbsp;%<TMPL_IF HAVE_ACTIONS> ⊷ <a href="<TMPL_VAR BASEURL>contribute/how/translate/" rel="nofollow">improve translation</a></TMPL_IF>)
-   </span>
-   </li>
-
-   </TMPL_IF>
-
-
-   <TMPL_LOOP OTHERLANGUAGES>
-    
-   <li <TMPL_IF MASTER> class="master"<TMPL_ELSE></TMPL_IF>>
-    
-   <span class="visible"><a href="<TMPL_VAR URL>"><TMPL_VAR CODE></a></span>
-   <span class="hidden"><a href="<TMPL_VAR URL>"><TMPL_VAR LANGUAGE>
-   <TMPL_IF MASTER> : master <TMPL_ELSE>(<TMPL_VAR PERCENT>%)</TMPL_IF>
-   </a>
-   </span>
-
-   </li>   
-   </TMPL_LOOP>
-</ul>
-
-
-<TMPL_IF HTML5></nav><TMPL_ELSE></div></TMPL_IF>
-</TMPL_IF>
-
-<TMPL_IF HTML5></section><TMPL_ELSE></div></TMPL_IF>
-
-<TMPL_UNLESS DYNAMIC>
-<TMPL_IF SIDEBAR>
-<TMPL_IF HTML5><aside class="sidebar" role="navigation"><TMPL_ELSE><div class="sidebar" role="navigation"></TMPL_IF>
-<TMPL_VAR SIDEBAR>
-<TMPL_IF HTML5></aside><TMPL_ELSE></div></TMPL_IF>
-</TMPL_IF>
-</TMPL_UNLESS>
-
-<div id="pagebody">
-
-<TMPL_IF HTML5><section<TMPL_ELSE><div</TMPL_IF> id="content" role="main">
-<TMPL_VAR CONTENT>
-<TMPL_IF HTML5></section><TMPL_ELSE></div></TMPL_IF>
-
-<TMPL_IF ENCLOSURE>
-<TMPL_IF HTML5><section id="enclosure"><TMPL_ELSE><div id="enclosure"></TMPL_IF>
-<a href="<TMPL_VAR ENCLOSURE>">Download</a>
-<TMPL_IF HTML5></section><TMPL_ELSE></div></TMPL_IF>
-</TMPL_IF>
-
-<TMPL_UNLESS DYNAMIC>
-<TMPL_IF COMMENTS>
-<TMPL_IF HTML5><section<TMPL_ELSE><div</TMPL_IF> id="comments" role="complementary">
-<TMPL_VAR COMMENTS>
-<TMPL_IF ADDCOMMENTURL>
-<div class="addcomment">
-<a href="<TMPL_VAR ADDCOMMENTURL>">Add a comment</a>
-</div>
-<TMPL_ELSE>
-<div class="addcomment">Comments on this page are closed.</div>
-</TMPL_IF>
-<TMPL_IF HTML5></section><TMPL_ELSE></div></TMPL_IF>
-</TMPL_IF>
-</TMPL_UNLESS>
-
-</div>
-
-<TMPL_IF HTML5><footer<TMPL_ELSE><div</TMPL_IF> id="footer" class="pagefooter" role="contentinfo">
-<TMPL_UNLESS DYNAMIC>
-<TMPL_IF HTML5><nav id="pageinfo"><TMPL_ELSE><div id="pageinfo"></TMPL_IF>
-
-<TMPL_VAR TRAILS>
-
-<TMPL_IF TAGS>
-<TMPL_IF HTML5><nav class="tags"><TMPL_ELSE><div class="tags"></TMPL_IF>
-Tags:
-<TMPL_LOOP TAGS>
-<TMPL_VAR LINK>
-</TMPL_LOOP>
-<TMPL_IF HTML5></nav><TMPL_ELSE></div></TMPL_IF>
-</TMPL_IF>
-
-<TMPL_IF BACKLINKS>
-<TMPL_IF HTML5><nav id="backlinks"><TMPL_ELSE><div id="backlinks"></TMPL_IF>
-Pages linking to this one:
-<TMPL_LOOP BACKLINKS>
-<a href="<TMPL_VAR URL>"><TMPL_VAR PAGE></a>
-</TMPL_LOOP>
-<TMPL_IF MORE_BACKLINKS>
-<span class="popup">...
-<span class="balloon">
-<TMPL_LOOP MORE_BACKLINKS>
-<a href="<TMPL_VAR URL>"><TMPL_VAR PAGE></a>
-</TMPL_LOOP>
-</span>
-</span>
-</TMPL_IF>
-<TMPL_IF HTML5></nav><TMPL_ELSE></div></TMPL_IF>
-</TMPL_IF>
-
-<TMPL_IF COPYRIGHT>
-<div class="pagecopyright">
-<a id="pagecopyright"></a>
-<TMPL_VAR COPYRIGHT>
-</div>
-</TMPL_IF>
-
-<TMPL_IF LICENSE>
-<div class="pagelicense">
-<a id="pagelicense"></a>
-License: <TMPL_VAR LICENSE>
-</div>
-</TMPL_IF>
-
-<div class="pagedate">
-Last edited <TMPL_VAR MTIME>
-<!-- Created <TMPL_VAR CTIME> -->
-</div>
-
-<TMPL_IF HTML5></nav><TMPL_ELSE></div></TMPL_IF>
-<TMPL_IF EXTRAFOOTER><TMPL_VAR EXTRAFOOTER></TMPL_IF>
-</TMPL_UNLESS>
-<!-- from <TMPL_VAR WIKINAME> -->
-<TMPL_IF HTML5></footer><TMPL_ELSE></div></TMPL_IF>
-
-<TMPL_IF HTML5></article><TMPL_ELSE></div></TMPL_IF>
-
-</body>
+  <head>
+    <TMPL_IF DYNAMIC>
+    <TMPL_IF FORCEBASEURL>
+    <base href="<TMPL_VAR FORCEBASEURL>" /><TMPL_ELSE>
+    <TMPL_IF BASEURL><base href="<TMPL_VAR BASEURL>" /></TMPL_IF>
+    </TMPL_IF>
+    </TMPL_IF>
+    <TMPL_IF HTML5><meta charset="utf-8" /><TMPL_ELSE>
+    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /></TMPL_IF>
+    <title>Tails - <TMPL_VAR TITLE></title>
+    <TMPL_IF RESPONSIVE_LAYOUT><meta name="viewport" content="width=device-width, initial-scale=1" /></TMPL_IF>
+    <TMPL_IF FAVICON><link rel="icon" href="<TMPL_VAR BASEURL><TMPL_VAR FAVICON>" type="image/x-icon" /></TMPL_IF>
+    <link rel="stylesheet" href="<TMPL_VAR BASEURL>style.css" type="text/css" />
+    <TMPL_IF LOCAL_CSS><link rel="stylesheet" href="<TMPL_VAR BASEURL><TMPL_VAR LOCAL_CSS>" type="text/css" /><TMPL_ELSE>
+    <link rel="stylesheet" href="<TMPL_VAR BASEURL>local.css" type="text/css" /></TMPL_IF>
+    <TMPL_UNLESS DYNAMIC>
+    <TMPL_IF EDITURL><link rel="alternate" type="application/x-wiki" title="Edit this page" href="<TMPL_VAR EDITURL>" /></TMPL_IF>
+    <TMPL_IF FEEDLINKS><TMPL_VAR FEEDLINKS></TMPL_IF>
+    <TMPL_IF RELVCS><TMPL_VAR RELVCS></TMPL_IF>
+    <TMPL_IF META><TMPL_VAR META></TMPL_IF>
+    <TMPL_LOOP TRAILLOOP>
+    <TMPL_IF PREVPAGE><link rel="prev" href="<TMPL_VAR PREVURL>" title="<TMPL_VAR PREVTITLE>" /></TMPL_IF>
+    <link rel="up" href="<TMPL_VAR TRAILURL>" title="<TMPL_VAR TRAILTITLE>" />
+    <TMPL_IF NEXTPAGE><link rel="next" href="<TMPL_VAR NEXTURL>" title="<TMPL_VAR NEXTTITLE>" /></TMPL_IF>
+    </TMPL_LOOP>
+    </TMPL_UNLESS>
+  </head>
+  <body>
+    <div class="banner" role="banner">
+      <a class="tails" href="<TMPL_VAR HOMEPAGEURL>">
+        <span class="acronym">Tails</span><br/>
+        <span class="slogan">The Amnesic Incognito Live System</span>
+      </a>
+    </div>
+    <TMPL_IF HTML5><article class="page"><TMPL_ELSE><div class="page"></TMPL_IF>
+      <TMPL_IF HTML5><section class="pageheader"><TMPL_ELSE><div class="pageheader"></TMPL_IF>
+        <TMPL_IF HTML5><header class="header"><TMPL_ELSE><div class="header"></TMPL_IF>
+          <span>
+            <span class="parentlinks">
+              <ul id="crumbs">
+                <li><a href="<TMPL_VAR HOMEPAGEURL>"><img src="<TMPL_VAR BASEURL>lib/home.jpeg"></a></li>
+                <TMPL_LOOP PARENTLINKS><li><a href="<TMPL_VAR URL>"><TMPL_VAR PAGE></a></li></TMPL_LOOP>
+                <li><TMPL_VAR TITLE></li>
+              </ul>
+            </span>
+            <span class="title">
+              <TMPL_VAR TITLE>
+            </span>
+          </span>
+          <TMPL_UNLESS DYNAMIC>
+          <TMPL_IF SEARCHFORM><TMPL_VAR SEARCHFORM></TMPL_IF>
+          </TMPL_UNLESS>
+        <TMPL_IF HTML5></header><TMPL_ELSE></div></TMPL_IF>
+        <TMPL_IF HAVE_ACTIONS>
+        <TMPL_IF HTML5><nav class="actions"><TMPL_ELSE><div class="actions"></TMPL_IF>
+          <ul>
+            <TMPL_IF EDITURL>
+            <TMPL_IF NAME="ISTRANSLATION"><TMPL_ELSE><li><a href="<TMPL_VAR EDITURL>" rel="nofollow">Edit</a></li></TMPL_IF>
+            </TMPL_IF>
+            <TMPL_IF RECENTCHANGESURL><li><a href="<TMPL_VAR RECENTCHANGESURL>">RecentChanges</a></li></TMPL_IF>
+            <TMPL_IF HISTORYURL><li><a href="<TMPL_VAR HISTORYURL>">History</a></li></TMPL_IF>
+            <TMPL_IF GETSOURCEURL><li><a href="<TMPL_VAR GETSOURCEURL>">Source</a></li></TMPL_IF>
+            <TMPL_IF PREFSURL><li><a href="<TMPL_VAR PREFSURL>">Preferences</a></li></TMPL_IF>
+            <TMPL_IF ACTIONS>
+            <TMPL_LOOP ACTIONS><li><TMPL_VAR ACTION></li></TMPL_LOOP>
+            </TMPL_IF>
+            <TMPL_IF COMMENTSLINK>
+            <li><TMPL_VAR COMMENTSLINK></li><TMPL_ELSE>
+            <TMPL_IF DISCUSSIONLINK><li><TMPL_VAR DISCUSSIONLINK></li></TMPL_IF>
+            </TMPL_IF>
+          </ul>
+        <TMPL_IF HTML5></nav><TMPL_ELSE></div></TMPL_IF>
+        </TMPL_IF>
+        <TMPL_IF OTHERLANGUAGES>
+        <TMPL_IF HTML5><nav id="otherlanguages"><TMPL_ELSE><div id="otherlanguages"></TMPL_IF>
+          <ul>
+            <TMPL_IF ISTRANSLATABLE><li class="current master"><span><TMPL_VAR LANG_NAME></span></li><TMPL_ELSE>
+            <li class="current">
+              <span class="visible"><TMPL_VAR LANG_NAME>(<TMPL_VAR PERCENTTRANSLATED>&nbsp;%)</span>
+              <span class="hidden">
+                <TMPL_VAR LANG_NAME>(<TMPL_VAR PERCENTTRANSLATED>&nbsp;%<TMPL_IF HAVE_ACTIONS> ⊷ <a href="<TMPL_VAR BASEURL>contribute/how/translate/" rel="nofollow">improve translation</a></TMPL_IF>)
+              </span>
+            </li>
+            </TMPL_IF>
+            <TMPL_LOOP OTHERLANGUAGES>
+            <li<TMPL_IF MASTER> class="master"<TMPL_ELSE></TMPL_IF>>
+              <span class="visible"><a href="<TMPL_VAR URL>"><TMPL_VAR CODE></a></span>
+              <span class="hidden">
+                  <a href="<TMPL_VAR URL>"><TMPL_VAR LANGUAGE><TMPL_IF MASTER> : master <TMPL_ELSE>(<TMPL_VAR PERCENT>%)</TMPL_IF></a>
+              </span>
+            </li>  
+            </TMPL_LOOP>
+          </ul>
+        <TMPL_IF HTML5></nav><TMPL_ELSE></div></TMPL_IF>
+        </TMPL_IF>
+      <TMPL_IF HTML5></section><TMPL_ELSE></div></TMPL_IF>
+      <TMPL_UNLESS DYNAMIC>
+      <TMPL_IF SIDEBAR>
+      <TMPL_IF HTML5><aside class="sidebar" role="navigation"><TMPL_ELSE><div class="sidebar" role="navigation"></TMPL_IF>
+        <TMPL_VAR SIDEBAR>
+      <TMPL_IF HTML5></aside><TMPL_ELSE></div></TMPL_IF>
+      </TMPL_IF>
+      </TMPL_UNLESS>
+      <div id="pagebody">
+        <TMPL_IF HTML5><section<TMPL_ELSE><div</TMPL_IF> id="content" role="main">
+            <TMPL_VAR CONTENT>
+        <TMPL_IF HTML5></section><TMPL_ELSE></div></TMPL_IF>
+        <TMPL_IF ENCLOSURE>
+        <TMPL_IF HTML5><section id="enclosure"><TMPL_ELSE><div id="enclosure"></TMPL_IF>
+          <a href="<TMPL_VAR ENCLOSURE>">Download</a>
+        <TMPL_IF HTML5></section><TMPL_ELSE></div></TMPL_IF>
+        </TMPL_IF>
+        <TMPL_UNLESS DYNAMIC>
+        <TMPL_IF COMMENTS>
+        <TMPL_IF HTML5><section<TMPL_ELSE><div</TMPL_IF> id="comments" role="complementary">
+          <TMPL_VAR COMMENTS>
+          <TMPL_IF ADDCOMMENTURL><div class="addcomment">
+            <a href="<TMPL_VAR ADDCOMMENTURL>">Add a comment</a>
+          </div>
+          <TMPL_ELSE><div class="addcomment">
+            Comments on this page are closed.
+          </div></TMPL_IF>
+        <TMPL_IF HTML5></section><TMPL_ELSE></div></TMPL_IF>
+        </TMPL_IF>
+        </TMPL_UNLESS>
+      </div>
+      <TMPL_IF HTML5><footer<TMPL_ELSE><div</TMPL_IF> id="footer" class="pagefooter" role="contentinfo">
+        <TMPL_UNLESS DYNAMIC>
+        <TMPL_IF HTML5><nav id="pageinfo"><TMPL_ELSE><div id="pageinfo"></TMPL_IF>
+          <TMPL_VAR TRAILS>
+          <TMPL_IF TAGS>
+          <TMPL_IF HTML5><nav class="tags"><TMPL_ELSE><div class="tags"></TMPL_IF>
+            Tags:
+            <TMPL_LOOP TAGS><TMPL_VAR LINK></TMPL_LOOP>
+            <TMPL_IF HTML5></nav><TMPL_ELSE></div></TMPL_IF>
+          </TMPL_IF>
+          <TMPL_IF BACKLINKS>
+          <TMPL_IF HTML5><nav id="backlinks"><TMPL_ELSE><div id="backlinks"></TMPL_IF>
+            Pages linking to this one:
+            <TMPL_LOOP BACKLINKS><a href="<TMPL_VAR URL>"><TMPL_VAR PAGE></a></TMPL_LOOP>
+            <TMPL_IF MORE_BACKLINKS>
+            <span class="popup">...
+              <span class="balloon">
+                <TMPL_LOOP MORE_BACKLINKS><a href="<TMPL_VAR URL>"><TMPL_VAR PAGE></a></TMPL_LOOP>
+              </span>
+            </span>
+            </TMPL_IF>
+          <TMPL_IF HTML5></nav><TMPL_ELSE></div></TMPL_IF>
+          </TMPL_IF>
+          <TMPL_IF COPYRIGHT>
+          <div class="pagecopyright">
+            <a id="pagecopyright"></a>
+            <TMPL_VAR COPYRIGHT>
+          </div>
+          </TMPL_IF>
+          <TMPL_IF LICENSE>
+          <div class="pagelicense">
+            <a id="pagelicense"></a>
+            License: <TMPL_VAR LICENSE>
+          </div>
+          </TMPL_IF>
+          <div class="pagedate">
+            Last edited <TMPL_VAR MTIME>
+            <!-- Created <TMPL_VAR CTIME> -->
+          </div>
+        <TMPL_IF HTML5></nav><TMPL_ELSE></div></TMPL_IF>
+        <TMPL_IF EXTRAFOOTER><TMPL_VAR EXTRAFOOTER></TMPL_IF>
+        </TMPL_UNLESS>
+        <!-- from <TMPL_VAR WIKINAME> -->
+      <TMPL_IF HTML5></footer><TMPL_ELSE></div></TMPL_IF>
+    <TMPL_IF HTML5></article><TMPL_ELSE></div></TMPL_IF>
+  </body>
 </html>
-- 
1.9.1