From 0769bbe639df6e3b6876d833908d736ccd365026 Mon Sep 17 00:00:00 2001
From: Austin English <austinenglish@gmail.com>
Date: Mon, 10 Aug 2015 01:23:36 -0500
Subject: [PATCH 1/1] disable running cups, ekeyd, i2p, pcscd, rsyslog,
 speech-dispatcher and tor on shutdown (feature #6463)

---
 .../do_not_run_cups_on_shutdown.diff                    | 10 ++++++++++
 .../do_not_run_ekeyd_on_shutdown.diff                   | 14 ++++++++++++++
 .../do_not_run_i2p_on_shutdown.diff                     | 11 +++++++++++
 .../do_not_run_pcscd_on_shutdown.diff                   | 11 +++++++++++
 .../do_not_run_rsyslog_on_shutdown.diff                 | 11 +++++++++++
 .../do_not_run_speech-dispatcher_on_shutdown.diff       | 11 +++++++++++
 .../do_not_run_tor_on_shutdown.diff                     | 17 +++++++++++++++++
 7 files changed, 85 insertions(+)
 create mode 100644 config/chroot_local-patches/do_not_run_cups_on_shutdown.diff
 create mode 100644 config/chroot_local-patches/do_not_run_ekeyd_on_shutdown.diff
 create mode 100644 config/chroot_local-patches/do_not_run_i2p_on_shutdown.diff
 create mode 100644 config/chroot_local-patches/do_not_run_pcscd_on_shutdown.diff
 create mode 100644 config/chroot_local-patches/do_not_run_rsyslog_on_shutdown.diff
 create mode 100644 config/chroot_local-patches/do_not_run_speech-dispatcher_on_shutdown.diff
 create mode 100644 config/chroot_local-patches/do_not_run_tor_on_shutdown.diff

diff --git a/config/chroot_local-patches/do_not_run_cups_on_shutdown.diff b/config/chroot_local-patches/do_not_run_cups_on_shutdown.diff
new file mode 100644
index 0000000..cc49660
--- /dev/null
+++ b/config/chroot_local-patches/do_not_run_cups_on_shutdown.diff
@@ -0,0 +1,10 @@
+--- chroot/etc/init.d/cups	2015-08-10 05:43:48.567983368 +0000
++++ chroot/etc/init.d/cups	2015-08-10 05:56:42.127956653 +0000
+@@ -8,7 +8,7 @@
+ # X-Start-Before:    samba
+ # X-Stop-After:      samba
+ # Default-Start:     2 3 4 5
+-# Default-Stop:      1
++# Default-Stop:
+ # Short-Description: CUPS Printing spooler and server
+ ### END INIT INFO
diff --git a/config/chroot_local-patches/do_not_run_ekeyd_on_shutdown.diff b/config/chroot_local-patches/do_not_run_ekeyd_on_shutdown.diff
new file mode 100644
index 0000000..a94c23d
--- /dev/null
+++ b/config/chroot_local-patches/do_not_run_ekeyd_on_shutdown.diff
@@ -0,0 +1,14 @@
+--- chroot/etc/init.d/ekeyd	2015-08-10 05:43:48.567983368 +0000
++++ chroot/etc/init.d/ekeyd	2015-08-10 05:56:42.127956653 +0000
+@@ -3,10 +3,10 @@
+ ### BEGIN INIT INFO
+ # Provides:          ekeyd
+ # Required-Start:    $remote_fs $syslog
+-# Required-Stop:     $remote_fs $syslog
++# Required-Stop:
+ # Should-Start:      udev
+ # Default-Start:     2 3 4 5
+-# Default-Stop:      0 1 6
++# Default-Stop:
+ # Short-Description: Entropy Key Manager
+ ### END INIT INFO
\ No newline at end of file
diff --git a/config/chroot_local-patches/do_not_run_i2p_on_shutdown.diff b/config/chroot_local-patches/do_not_run_i2p_on_shutdown.diff
new file mode 100644
index 0000000..8791747
--- /dev/null
+++ b/config/chroot_local-patches/do_not_run_i2p_on_shutdown.diff
@@ -0,0 +1,11 @@
+--- chroot/etc/init.d/i2p	2015-08-10 05:43:48.567983368 +0000
++++ chroot/etc/init.d/i2p	2015-08-10 05:56:42.127956653 +0000
+@@ -5,7 +5,7 @@
+ # Required-Start: $remote_fs $syslog $named $network $time
+ # Required-Stop: $remote_fs $syslog $named $network
+ # Default-Start:
+-# Default-Stop: 0 1 6 2 3 4 5
++# Default-Stop:
+ # Short-Description: start and stop the i2p router
+ # Description: i2p is a load-balanced unspoofable packet switching network
+ ### END INIT INFO
diff --git a/config/chroot_local-patches/do_not_run_pcscd_on_shutdown.diff b/config/chroot_local-patches/do_not_run_pcscd_on_shutdown.diff
new file mode 100644
index 0000000..8916056
--- /dev/null
+++ b/config/chroot_local-patches/do_not_run_pcscd_on_shutdown.diff
@@ -0,0 +1,11 @@
+--- chroot/etc/init.d/pcscd	2015-08-10 05:43:48.567983368 +0000
++++ chroot/etc/init.d/pcscd	2015-08-10 05:56:42.127956653 +0000
+@@ -6,7 +6,7 @@
+ # Should-Start:      udev hal
+ # Should-Stop:       udev hal
+ # Default-Start:     2 3 4 5
+-# Default-Stop:      0 1 6
++# Default-Stop:
+ # Short-Description: Daemon to access a smart card using PC/SC
+ # Description:       The PC/SC daemon is used to dynamically
+ #                    allocate/deallocate reader drivers at runtime and manage
diff --git a/config/chroot_local-patches/do_not_run_rsyslog_on_shutdown.diff b/config/chroot_local-patches/do_not_run_rsyslog_on_shutdown.diff
new file mode 100644
index 0000000..0a6ccbe
--- /dev/null
+++ b/config/chroot_local-patches/do_not_run_rsyslog_on_shutdown.diff
@@ -0,0 +1,11 @@
+--- chroot/etc/init.d/rsyslog	2015-08-10 05:43:48.567983368 +0000
++++ chroot/etc/init.d/rsyslog	2015-08-10 05:56:42.127956653 +0000
+@@ -5,7 +5,7 @@
+ # Required-Stop:     umountnfs $time
+ # X-Stop-After:      sendsigs
+ # Default-Start:     2 3 4 5
+-# Default-Stop:      0 1 6
++# Default-Stop:
+ # Short-Description: enhanced syslogd
+ # Description:       Rsyslog is an enhanced multi-threaded syslogd.
+ #                    It is quite compatible to stock sysklogd and can be 
diff --git a/config/chroot_local-patches/do_not_run_speech-dispatcher_on_shutdown.diff b/config/chroot_local-patches/do_not_run_speech-dispatcher_on_shutdown.diff
new file mode 100644
index 0000000..507b35f
--- /dev/null
+++ b/config/chroot_local-patches/do_not_run_speech-dispatcher_on_shutdown.diff
@@ -0,0 +1,11 @@
+--- chroot/etc/init.d/speech-dispatcher	2015-08-10 05:43:48.567983368 +0000
++++ chroot/etc/init.d/speech-dispatcher	2015-08-10 05:56:42.127956653 +0000
+@@ -7,7 +7,7 @@
+ # Should-Start:      festival
+ # Should-Stop:       festival
+ # Default-Start:     2 3 4 5
+-# Default-Stop:      0 1 6
++# Default-Stop:
+ # Short-Description: Speech Dispatcher
+ # Description:       Common interface to speech synthesizers
+ ### END INIT INFO
\ No newline at end of file
diff --git a/config/chroot_local-patches/do_not_run_tor_on_shutdown.diff b/config/chroot_local-patches/do_not_run_tor_on_shutdown.diff
new file mode 100644
index 0000000..7af85ac
--- /dev/null
+++ b/config/chroot_local-patches/do_not_run_tor_on_shutdown.diff
@@ -0,0 +1,17 @@
+--- chroot/etc/init.d/tor	2015-08-10 05:43:48.567983368 +0000
++++ chroot/etc/init.d/tor	2015-08-10 05:56:42.127956653 +0000
+@@ -3,11 +3,11 @@
+ ### BEGIN INIT INFO
+ # Provides:          tor
+ # Required-Start:    $local_fs $remote_fs $network $named $time
+-# Required-Stop:     $local_fs $remote_fs $network $named $time
++# Required-Stop:
+ # Should-Start:      $syslog
+-# Should-Stop:       $syslog
++# Should-Stop:
+ # Default-Start:
+-# Default-Stop:      0 1 6 2 3 4 5
++# Default-Stop:
+ # Short-Description: Starts The Onion Router daemon processes
+ # Description:       Start The Onion Router, a TCP overlay
+ #                    network client that provides anonymous
\ No newline at end of file
-- 
2.5.0